#!/bin/bash -x

ROOT_DIR=$(cd $(dirname $0)/.. && pwd)

if [ $# -ne 1 ]; then
  echo "must set FLANN directory" >&2
  exit 1
fi

FLANN_DIR=$1
BUILD_DIR="$FLANN_DIR/build"

if [ ! -e $BUILD_DIR ]; then
  mkdir $BUILD_DIR
  cd $BUILD_DIR
  cmake ..
  make
fi
